List

View as Markdown

Lists all of a single user’s orders.

Authentication

x-api-keystring
API Key authentication via header

Query parameters

statusintegerOptional
Order status
subscriptionstringOptional
Subscription ID
customerstringOptional

Customer ID (only available in API user scope)

placedateOptional

Order’s place date exact match (yyyy-mm-dd)

place_startdateOptional

Order’s place date later or equal than parameter (yyyy-mm-dd)

place_enddateOptional

Order’s place date sooner or equal than parameter (yyyy-mm-dd)

createddateOptional

Orders whose created date matches exactly (yyyy-mm-dd)

created_startdateOptional

Orders whose created datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

created_enddateOptional

Orders whose created datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

updateddateOptional

Orders whose updated date matches exactly (yyyy-mm-dd). On order creation it is populated with same value as created field.

updated_startdateOptional

Orders whose updated datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

updated_enddateOptional

Orders whose updated datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

include_has_planbooleanOptionalDefaults to false

If true, each order object in the response includes a has_plan field indicating whether that order contains at least one product with product_type=plan

Response

200
resultslist of objects

Errors

403
Forbidden Error